Bug 57637 - Process [cmdLine] is still in run state when parent process has been killed.
Process [cmdLine] is still in run state when parent process has been killed.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-17 18:27 EST by Guy
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Guy 2001-12-17 18:27:18 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; Q312461)

Description of problem:
While testing our own speech software, we're seeing that a process running 
off of our tests doesn't properly terminate itself when the parent process 
has been ended.  The process that is still running consumes 99% of the 
CPU, but does not use up any memory.  Also, there is no way to terminate 
this process by running the "KILL" command either.  After one day and a 
few hours, the process is still running when it's parent program has ended 
and it is still consuming 99% of the CPU.  

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.nohup run_lots_of_text.sh <portNum> <startSetNum> <endSetNum> > 
ttsRun<startSetNum>_<stopSetNum>.log 2>&1 &

2.
3.
	

Additional info:
Comment 1 Bugzilla owner 2004-09-30 11:39:19 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.